package com.dst.slms.util;

import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.dst.slms.common.support.controller.CoreBaseController;

@Controller
@RequestMapping("/cost")
public class CostBaseController extends CoreBaseController {


    /**
     * 构建组织项目树
     */
    @ResponseBody
    @RequestMapping(value = "/getProjectBaseTree")
    public Object getProjectBaseTree(HttpServletRequest req) {
        return ProjectBaseHelper.getProjectBaseTree();
    }
    /**
     * 构建合同类型树
     */
    @ResponseBody
    @RequestMapping(value = "/getConTypeTree")
    public Object getConTypeTree(HttpServletRequest req) {
        return ProjectBaseHelper.getConTypeTree();
    }
    /**
     * 构建组织树
     */
    @ResponseBody
    @RequestMapping(value = "/getOrgTree")
    public Object getOrgTree(HttpServletRequest req) {
        return ProjectBaseHelper.getOrgTree();
    }
}
